package fi.ar.formplugin;

import kd.bos.algo.DataSet;
import kd.bos.entity.report.AbstractReportListDataPlugin;
import kd.bos.entity.report.ReportQueryParam;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.QueryServiceHelper;

/**
 * @author cjz
 * @date 2024/11/27 11:05
 * @description:应收账龄分析表，新增字段
 */
public class ArReportPlugin extends AbstractReportListDataPlugin {
    @Override
    public DataSet query(ReportQueryParam reportQueryParam, Object o) throws Throwable {
        DataSet dataSet = QueryServiceHelper
                .queryDataSet(this.getClass().getName(), "ar_finarbill", "number,e_expenseitem", new QFilter[]{null}, null);
        return dataSet;
    }
}
